--- old/usr/src/cmd/mdb/i86pc/modules/unix/unix.c	Tue Aug 20 09:24:07 2019
+++ new/usr/src/cmd/mdb/i86pc/modules/unix/unix.c	Tue Aug 20 09:24:07 2019
@@ -802,7 +802,7 @@
 
 /*ARGSUSED*/
 static int
-scalehrtime_cmd(uintptr_t addr, uint_t flags, int argc, const mdb_arg_t *argv)
+scalehrtime_dcmd(uintptr_t addr, uint_t flags, int argc, const mdb_arg_t *argv)
 {
 	uint32_t nsec_scale;
 	hrtime_t tsc = addr, hrt, tsc_last, base, mult = 1;
@@ -904,7 +904,7 @@
  */
 /*ARGSUSED*/
 static int
-x86_featureset_cmd(uintptr_t addr, uint_t flags, int argc,
+x86_featureset_dcmd(uintptr_t addr, uint_t flags, int argc,
     const mdb_arg_t *argv)
 {
 	void *fset;
@@ -1035,6 +1035,9 @@
 }
 #endif
 
+extern void xcall_help(void);
+extern int xcall_dcmd(uintptr_t, uint_t, int, const mdb_arg_t *);
+
 static const mdb_dcmd_t dcmds[] = {
 	{ "gate_desc", ":", "dump a gate descriptor", gate_desc },
 	{ "idt", ":[-v]", "dump an IDT", idt },
@@ -1058,9 +1061,10 @@
 	    mfntopfn_dcmd },
 	{ "memseg_list", ":", "show memseg list", memseg_list },
 	{ "scalehrtime", ":[-a|-r]", "scale an unscaled high-res time",
-	    scalehrtime_cmd, scalehrtime_help },
+	    scalehrtime_dcmd, scalehrtime_help },
 	{ "x86_featureset", NULL, "dump the x86_featureset vector",
-		x86_featureset_cmd },
+		x86_featureset_dcmd },
+	{ "xcall", ":", "print CPU cross-call state", xcall_dcmd, xcall_help },
 #ifdef _KMDB
 	{ "sysregs", NULL, "dump system registers", sysregs_dcmd },
 #endif
